Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts
Class WCTService

    java.lang.Object
      org.deegree.ogcwebservices.wcts.WCTService

All Implemented Interfaces:
  OGCWebService

    public class WCTService

extends Object
implements OGCWebService

The `WCTService` class is the interface between the actual handling of an incoming request and the configuration, key method is the `doService(OGCWebServiceRequest)` implementation.

Version:
  February 7th 2008
Author:
  Rutger Bezema, last edited by: $Author:$

Field Summary
`static String` | `CRS_PROVIDER` The configured crs provider to use.
`static String` | `version` The version of this wcts, will be read from the configuration.

Constructor Summary
`WCTService(WCTSConfiguration config)`

Method Summary
`Object` | `doService(OGCWebServiceRequest request)` the implementation of this method performs the handling of the passed OGCWebServiceEvent directly and returns the result to the calling class/ method
`WCTSCapabilities` | `getCapabilities()` returns the capabilities of a OGC web service
`WCTSConfiguration` | `getConfiguration()` The configuration of this wcts.
`WCTSDeegreeParams` | `getDeegreeParams()`
`TransformResponse` | `handleTransform(Transform request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static String version

  The version of this wcts, will be read from the configuration.

### CRS_PROVIDER

    public static String CRS_PROVIDER

  The configured crs provider to use.

Constructor Detail

### WCTService

    public WCTService(WCTSConfiguration config)

Parameters:
  `config` -

Method Detail

### doService

    public Object doService(OGCWebServiceRequest request)
                     throws OGCWebServiceException

  Description copied from interface: `OGCWebService`
  the implementation of this method performs the handling of the passed OGCWebServiceEvent directly and returns the result to the calling class/ method

  Specified by:
    `doService` in interface `OGCWebService`
  Parameters:
    `request` - request (WMS, WCS, WFS, CSW, WFS-G, WMPS) to perform
  Returns:
    result of a service operation
  Throws:
    `OGCWebServiceException`

### handleTransform

    public TransformResponse handleTransform(Transform request)
                                      throws OGCWebServiceException

  Parameters:
    `request` - to be handled
  Returns:
    the response or `null` if the request was `null`.
  Throws:
    `OGCWebServiceException` - if the inputdata could not be found, or the given crs are not configured to be supported.

### getCapabilities

    public WCTSCapabilities getCapabilities()

  Description copied from interface: `OGCWebService`
  returns the capabilities of a OGC web service

  Specified by:
    `getCapabilities` in interface `OGCWebService`
  Returns:
    the capabilities of a OGC web service

### getConfiguration

    public final WCTSConfiguration getConfiguration()

  The configuration of this wcts.

  Returns:
    the configuration of this wcts.

### getDeegreeParams

    public final WCTSDeegreeParams getDeegreeParams()

  Returns:
    the deegree specific parameters for the wcts.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org